function [m mav] = mean3(x)


% Outputs vector m, containing N means, where N is x's 3rd dimension.

% 10/12/2012 Version 1.0

% Author: Aristidis D. Vaiopoulos


% Find 3rd dimension
nb = size(x,3);
% Preallocate
m = zeros(size(x,3),1);
% 2D Means for each 3rd dimension 
for b = 1:nb
    m(b) = mean2(x(:,:,b));
end

mav = mean(m);

end